apply plugin: 'com.android.application'
android {
    compileSdkVersion 29
    buildToolsVersion "29.0.3"
    lintOptions {
        checkReleaseBuilds false
    }
    defaultConfig {
        applicationId "com.ttiglobal.inttilectgpchat"
        targetSdkVersion 29
        minSdkVersion 21
        versionCode 6
        versionName "6.0"
        multiDexEnabled true
    }
    repositories {
        maven {
            url 'http://dl.bintray.com/amulyakhare/maven'
        }
        maven {
            url "https://github.com/omadahealth/omada-nexus/raw/master/release"
        }
    }
    // solve duplicate classes
    applicationVariants.all { variant ->
        variant.getRuntimeConfiguration().exclude group: 'com.google.code.findbugs', module: 'jsr305'
        variant.getRuntimeConfiguration().exclude group: 'com.google.code.findbugs', module: 'annotations'
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
    compileOptions {
        sourceCompatibility = 1.8
        targetCompatibility = 1.8
    }
}

dependencies {

    implementation 'androidx.palette:palette:1.0.0'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.legacy:legacy-support-v13:1.0.0'
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'androidx.vectordrawable:vectordrawable-animated:1.1.0'

    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'com.google.android.gms:play-services-auth:18.0.0'

//    implementation 'com.squareup.okhttp3:okhttp:4.2.2'
    implementation 'com.squareup.retrofit2:retrofit:2.6.2'
    implementation 'com.squareup.retrofit2:converter-gson:2.6.2'
    implementation 'com.squareup.okhttp:okhttp:2.7.5'


    implementation 'com.ogaclejapan.smarttablayout:library:2.0.0@aar'
    implementation 'com.ogaclejapan.smarttablayout:utils-v13:1.7.0@aar'

    implementation 'io.reactivex.rxjava2:rxjava:2.2.14'
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'

    implementation 'jp.wasabeef:recyclerview-animators:2.3.0'
    implementation "me.leolin:ShortcutBadger:1.1.22@aar"
    implementation 'com.hendraanggrian:collapsingtoolbarlayout-subtitle:27.1.1'
    implementation 'com.budiyev.android:circular-progress-bar:1.1.9'
    implementation 'com.andrognito.pinlockview:pinlockview:2.1.0'
    implementation 'com.intuit.sdp:sdp-android:1.0.6'

    implementation 'com.github.enricocid:cpl:1.0.3'
    implementation 'com.github.bumptech.glide:glide:4.10.0'
    implementation 'com.github.PhilJay:MPAndroidChart:v3.0.3'
    implementation 'com.github.kittinunf.fuel:fuel-android:1.9.0'
    implementation 'com.github.traex.rippleeffect:ripple:1.3.1-OG'
    implementation 'com.github.warkiz.widget:indicatorseekbar:2.1.2'
    implementation 'com.github.barteksc:android-pdf-viewer:3.0.0-beta.5'
    implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
    implementation 'com.github.siyamed:android-shape-imageview:0.9.3@aar'
    implementation 'com.github.tylersuehr7:empty-state-recyclerview:1.0.4'
    implementation 'com.github.douglasjunior:android-simple-tooltip:0.2.2'

    implementation 'com.firebaseui:firebase-ui-auth:5.0.0'
    implementation 'com.firebaseui:firebase-ui-database:5.0.0'
    implementation 'com.firebaseui:firebase-ui-firestore:4.3.2'

    implementation 'com.google.firebase:firebase-core:17.2.1'
    implementation 'com.google.firebase:firebase-auth:19.2.0'
    implementation 'com.google.firebase:firebase-storage:19.1.0'
    implementation 'com.google.firebase:firebase-database:19.2.0'
    implementation 'com.google.firebase:firebase-firestore:21.3.0'
    implementation 'com.google.firebase:firebase-messaging:20.0.1'

    implementation 'com.google.firebase:firebase-analytics:17.2.1'

    implementation 'com.ibm.watson:assistant:8.0.0'
    implementation 'com.ibm.watson:text-to-speech:8.0.0'
    implementation 'com.ibm.watson:speech-to-text:8.0.0'
    implementation 'com.ibm.watson.developer_cloud:java-sdk:3.7.2'
    implementation 'com.ibm.watson.developer_cloud:android-sdk:0.5.1'

    implementation 'jp.wasabeef:blurry:2.1.1'
    implementation 'de.hdodenhof:circleimageview:3.0.1'
    implementation 'com.amulyakhare:com.amulyakhare.textdrawable:1.0.1'
    implementation 'net.cachapa.expandablelayout:expandablelayout:2.9.2'
    implementation 'org.apache.directory.studio:org.apache.commons.io:2.4'

    testImplementation 'junit:junit:4.13'
    androidTestImplementation 'androidx.test:runner:1.2.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.10.0'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'

    implementation 'com.wdullaer:materialdatetimepicker:4.2.3'
    implementation ('org.jitsi.react:jitsi-meet-sdk:2.8.2') { transitive = true }
    implementation 'com.github.siyamed:android-shape-imageview:0.9.3@aar'

}
apply plugin: 'com.google.gms.google-services'
